%define upstream_name    Captcha-reCAPTCHA
%define upstream_version 0.97

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Perl implementation of the reCAPTCHA API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Captcha/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Tiny) >= 0.904.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
reCAPTCHA is a hybrid mechanical turk and captcha that allows visitors who
complete the captcha to assist in the digitization of books.

From the http://recaptcha.net/learnmore.html manpage:

    reCAPTCHA improves the process of digitizing books by sending words that
    cannot be read by computers to the Web in the form of CAPTCHAs for
    humans to decipher. More specifically, each word that cannot be read
    correctly by OCR is placed on an image and used as a CAPTCHA. This is
    possible because most OCR programs alert you when a word cannot be read
    correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.970.0-3.mga4
+ Revision: 509581
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 363775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 314858
- update to 0.97

* Mon Oct 01 2012 jquelin <jquelin> 0.960.0-1.mga3
+ Revision: 301257
- update to 0.96

* Wed Aug 29 2012 kharec <kharec> 0.950.0-1.mga3
+ Revision: 285144
- update to 0.95

* Sun Jan 23 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 33618
- mageia rebuild
- imported package perl-Captcha-reCAPTCHA

